package com.chinaitop.depot.intelligent.grainsituation.model;

import java.math.BigDecimal;
import java.util.Date;

public class TTestdataLayer {
    private String id;

    private String orgId;

    private String lqId;

    private String lhouse;

    private Date ltime;

    private Integer layernumber;

    private String lz;

    private BigDecimal lmax;

    private BigDecimal lmin;

    private BigDecimal lavg;

    private String dataSource;

    /**
     * 
     * @return id 
     */
    public String getId() {
        return id;
    }

    /**
     * 
     * @param id 
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 
     * @return org_id 
     */
    public String getOrgId() {
        return orgId;
    }

    /**
     * 
     * @param orgId 
     */
    public void setOrgId(String orgId) {
        this.orgId = orgId == null ? null : orgId.trim();
    }

    /**
     * 粮情id
     * @return lq_id 粮情id
     */
    public String getLqId() {
        return lqId;
    }

    /**
     * 粮情id
     * @param lqId 粮情id
     */
    public void setLqId(String lqId) {
        this.lqId = lqId == null ? null : lqId.trim();
    }

    /**
     * 仓房编码
     * @return lHouse 仓房编码
     */
    public String getLhouse() {
        return lhouse;
    }

    /**
     * 仓房编码
     * @param lhouse 仓房编码
     */
    public void setLhouse(String lhouse) {
        this.lhouse = lhouse == null ? null : lhouse.trim();
    }

    /**
     * 采集时间
     * @return lTime 采集时间
     */
    public Date getLtime() {
        return ltime;
    }

    /**
     * 采集时间
     * @param ltime 采集时间
     */
    public void setLtime(Date ltime) {
        this.ltime = ltime;
    }

    /**
     * 测温层数
     * @return layerNumber 测温层数
     */
    public Integer getLayernumber() {
        return layernumber;
    }

    /**
     * 测温层数
     * @param layernumber 测温层数
     */
    public void setLayernumber(Integer layernumber) {
        this.layernumber = layernumber;
    }

    /**
     * 每层的层号
     * @return lZ 每层的层号
     */
    public String getLz() {
        return lz;
    }

    /**
     * 每层的层号
     * @param lz 每层的层号
     */
    public void setLz(String lz) {
        this.lz = lz == null ? null : lz.trim();
    }

    /**
     * 每层最高温
     * @return lMax 每层最高温
     */
    public BigDecimal getLmax() {
        return lmax;
    }

    /**
     * 每层最高温
     * @param lmax 每层最高温
     */
    public void setLmax(BigDecimal lmax) {
        this.lmax = lmax;
    }

    /**
     * 每层最低温
     * @return lMin 每层最低温
     */
    public BigDecimal getLmin() {
        return lmin;
    }

    /**
     * 每层最低温
     * @param lmin 每层最低温
     */
    public void setLmin(BigDecimal lmin) {
        this.lmin = lmin;
    }

    /**
     * 每层平均温
     * @return lAvg 每层平均温
     */
    public BigDecimal getLavg() {
        return lavg;
    }

    /**
     * 每层平均温
     * @param lavg 每层平均温
     */
    public void setLavg(BigDecimal lavg) {
        this.lavg = lavg;
    }

    /**
     * 数据来源
     * @return data_source 数据来源
     */
    public String getDataSource() {
        return dataSource;
    }

    /**
     * 数据来源
     * @param dataSource 数据来源
     */
    public void setDataSource(String dataSource) {
        this.dataSource = dataSource == null ? null : dataSource.trim();
    }
}